# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApprovalPersonOrganization Class Reference

`#include <StepBasic_ApprovalPersonOrganization.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ApprovalPersonOrganization ()
| Returns a ApprovalPersonOrganization .
virtual Standard_EXPORT void | Init (const StepBasic_PersonOrganizationSelect &aPersonOrganization, const Handle(StepBasic_Approval)&aAuthorizedApproval, const Handle(StepBasic_ApprovalRole)&aRole)
Standard_EXPORT void | SetPersonOrganization (const StepBasic_PersonOrganizationSelect &aPersonOrganization)
Standard_EXPORT StepBasic_PersonOrganizationSelect | PersonOrganization () const
Standard_EXPORT void | SetAuthorizedApproval (const Handle(StepBasic_Approval)&aAuthorizedApproval)
Standard_EXPORT Handle_StepBasic_Approval | AuthorizedApproval () const
Standard_EXPORT void | SetRole (const Handle(StepBasic_ApprovalRole)&aRole)
Standard_EXPORT Handle_StepBasic_ApprovalRole | Role () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_PersonOrganizationSelect | personOrganization
Handle_StepBasic_Approval | authorizedApproval
Handle_StepBasic_ApprovalRole | role

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApprovalPersonOrganization::StepBasic_ApprovalPersonOrganization | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Approval StepBasic_ApprovalPersonOrganization::AuthorizedApproval | ( |  | ) | const

Standard_EXPORT const StepBasic_ApprovalPersonOrganization::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_ApprovalPersonOrganization::Init | ( | const StepBasic_PersonOrganizationSelect & | aPersonOrganization,
|  | const Handle(StepBasic_Approval)& | aAuthorizedApproval,
|  | const Handle(StepBasic_ApprovalRole)& | aRole
| ) | `[virtual]`

Standard_EXPORT StepBasic_PersonOrganizationSelect StepBasic_ApprovalPersonOrganization::PersonOrganization | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ApprovalRole StepBasic_ApprovalPersonOrganization::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_ApprovalPersonOrganization::SetAuthorizedApproval | ( | const Handle(StepBasic_Approval)& | aAuthorizedApproval | ) |

Standard_EXPORT void StepBasic_ApprovalPersonOrganization::SetPersonOrganization | ( | const StepBasic_PersonOrganizationSelect & | aPersonOrganization | ) |

Standard_EXPORT void StepBasic_ApprovalPersonOrganization::SetRole | ( | const Handle(StepBasic_ApprovalRole)& | aRole | ) |

## Field Documentation

Handle_StepBasic_Approval StepBasic_ApprovalPersonOrganization::authorizedApproval `[private]`

StepBasic_PersonOrganizationSelect StepBasic_ApprovalPersonOrganization::personOrganization `[private]`

Handle_StepBasic_ApprovalRole StepBasic_ApprovalPersonOrganization::role `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApprovalPersonOrganization.hxx